//	Distributed under the Boost Software License Version 1.0 https://www.boost.org/LICENSE_1_0.txt
//	Copyright Gero Peterhoff

#ifndef BOOST_MATH_QUADMATH_HPP
#define BOOST_MATH_QUADMATH_HPP

#include <boost/config.hpp>



#if BOOST_GCC
	#include <boost/math/quadmath/quadmath_gcc.hpp>
	#include <boost/math/quadmath/quadmath_gcc_io.hpp>
	#include <boost/math/quadmath/quadmath_gcc_math.hpp>
#elif BOOST_INTEL
	#include <boost/math/quadmath/quadmath_intel.hpp>
	#include <boost/math/quadmath/quadmath_intel_io.hpp>
	#include <boost/math/quadmath/quadmath_intel_math.hpp>
#endif

#endif	//	BOOST_MATH_QUADMATH_HPP
